
{******************************************}
{                                          }
{             FastReport v5.0              }
{          FastReport Server demo          }
{         Copyright (c) 1998-2014          }
{         by Alexander Fediachov,          }
{            Fast Reports Inc.             }
{                                          }
{******************************************}

unit Main;

{$I frx.inc}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  StdCtrls, Db, frxDesgn, frxClass, frxDCtrl,
  frxChart, frxRich, frxBarcode, ImgList, ComCtrls, ExtCtrls, frxOLE,
  frxCross, frxServer, frxGradient, frxChBox, Menus, ShellApi,
  frxADOComponents, ADODB, frxGZip, Dialogs, frxMD5, frxServerUtils, IniFiles,
  frxServerStat, frxServerConfig, frxVariables;

type
  TMainForm = class(TForm)
    frxADOComponents1: TfrxADOComponents;
    Serv: TfrxReportServer;
    Label13: TLabel;
    DemoDatabase: TADOConnection;
    URL: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure ServGetVariables(const ReportName: String;
      Variables: TfrxVariables; User: String);
    procedure URLClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  protected
  private
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

{$IFDEF Delphi7}
uses  XPMan;
{$ENDIF}


procedure TMainForm.FormCreate(Sender: TObject);
begin
  DemoDatabase.ConnectionString := ServerConfig.GetValue('server.database.connectionstring');
  try
    DemoDatabase.Open;
  except
    ShowMessage('Error database connection!');
  end;
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if Serv <> nil then
  begin
    Screen.Cursor := crHourGlass;
    try
      Serv.Close;
    finally
      Screen.Cursor := crDefault;
    end;
  end;
  if DemoDatabase.Connected then
    DemoDatabase.Close;
end;

procedure TMainForm.ServGetVariables(const ReportName: String;
  Variables: TfrxVariables; User: String);
begin
  Variables['param1'] := QuotedStr('add new variable');
end;

procedure TMainForm.URLClick(Sender: TObject);
begin
  ShellExecute(GetDesktopWindow, 'open', PChar(URL.Caption), nil, nil, SW_SHOW);
end;

procedure TMainForm.FormShow(Sender: TObject);
begin
  if DemoDatabase.Connected then
  begin
    Screen.Cursor := crHourGlass;
    try
      Serv.Open;
      if Serv.Active then
        URL.Caption := 'http://localhost:' + ServerConfig.GetValue('server.http.port');
    finally
      Screen.Cursor := crDefault;
    end;
  end;
end;

end.
